package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwGlWeightedDetail;
import com.dhcc.finance.main.domain.CwGlWeightedDetailExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface CwGlWeightedDetailMapper {
    long countByExample(CwGlWeightedDetailExample example);

    int deleteByExample(CwGlWeightedDetailExample example);

    int insert(CwGlWeightedDetail record);

    int insertSelective(CwGlWeightedDetail record);

    List<CwGlWeightedDetail> selectByExample(CwGlWeightedDetailExample example);

    int updateByExampleSelective(@Param("record") CwGlWeightedDetail record, @Param("example") CwGlWeightedDetailExample example);

    int updateByExample(@Param("record") CwGlWeightedDetail record, @Param("example") CwGlWeightedDetailExample example);
    /**
     * 功能描述：初始化每天数据
     * @param map
     * @return int
     * @author dml
     * @date 2020年1月7日 上午11:06:56
     * @修改日志：
     */
    int insertByDay(Map<String, Object> map);
    /**
     * 功能描述：删除某期间短数据
     * @param beginDate
     * @param endDate
     * @return int
     * @author dml
     * @date 2020年1月7日 上午11:42:51
     * @修改日志：
     */
    int deleteByDay(@Param("beginDate") String beginDate ,@Param("endDate") String endDate);
}